Skip to main content
GET
Get field

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

id
string
required

Response

OK

id
string

Field id.

title
string

Field title.

type
enum<string>

Field type.

Available options:
TEXT,
MULTILINE,
CHECKBOX,
DROPDOWN,
INTNUMBER,
DECIMALNUMBER,
REGEX,
DATE,
CARD
regex
string

Regular expression. Valid only for REGEX field type.

isEnabled
boolean

Is field enabled

isDefault
boolean
options
string[]

List of available options.

List of available options.

createdAt
string
updatedAt
string
operators
enum<string>[]

List of available operators based on field type.

List of available operators based on field type.

Available options:
IS,
IS_NOT,
CONTAINS,
DOESNT_CONTAIN,
IS_SELECTED,
NOT_SELECTED,
IS_EQUAL_TO,
NOT_EQUAL_TO,
LESS_THAN,
GREATER_THAN,
IS_EQUAL_OR_LESS,
IS_EQUAL_OR_GREATER,
BEFORE,
AFTER,
BEFORE_OR_ON,
AFTER_OR_ON